yum相关内容

从 Gradle 上传 RPM 到 Artifactory

如何使用 Gradle 将 RPM 文件上传到 Artifactory?Gradle 总是使用 maven 风格的直接布局上传文件,这不适用于 YUM 存储库. 解决方案 这里的问题是 Gradle 坚持以 group-id/version/artifact 的 maven 风格目录格式上传所有内容,而 yum 存储库需要平面布局.这里有两种方法 - 使用 Artifactory 插件或 ..
发布时间:2021-11-28 22:26:41 其他开发

如何为php启用mysqlnd?

我已经安装并运行了 PHP(版本:5.3.17),我想切换到 mysqlnd(在 phpinfo 中根本不存在 mysqlnd). 我读到为了设置它,您需要更新 ./configure 命令: ./configure --with-mysql=mysqlnd \--with-mysqli=mysqlnd \--with-pdo-mysql=mysqlnd \ 当我尝试使用 yum ins ..
发布时间:2021-11-20 22:10:21 MySQL

如何将 pkg-config 名称映射到 yum/apt-get

许多 makefile 使用 pkg-config,但名称与包管理器无关(例如 yum/apt).如何将 pkg-config 名称映射到它们?有什么窍门吗? 示例:如果我执行 yum searchName -- 查看名称并近似为 pkg-config 的名称 结果: $ pkg-config --libs dbus-glib-0在 pkg-config 搜索路径中找不到包 dbus ..
发布时间:2021-11-17 01:04:19 其他开发

检查已安装的软件包,如果未找到则安装

我需要检查已安装的软件包,如果没有安装,请安装它们. RHEL、CentOS、Fedora 示例: rpm -qa |grep glibc-静态glibc-static-2.12-1.80.el6_3.5.i686 如何在 BASH 中进行检查? 我会做类似的事情吗? if [ "$(rpm -qa | grep glibc-static)" != "" ] ;然后 对于其他发 ..
发布时间:2021-11-17 01:03:10 其他开发

如何安装“make"在 ubuntu 中?

我正在尝试将“yum"或“apt-get"安装到我的系统“ubuntu centOS"中.我确实使用 wget 命令从 Internet 下载了这两个程序的二进制文件.但是在使用命令“tar -zxvf"filename"解压缩文件后,然后配置文件“./configuring",然后当我想使用命令“make"时,出现以下错误“make:not found". 我搜索了一种下载“make"命令 ..
发布时间:2021-11-17 01:01:31 其他开发

ansible 在“sudo yum install"中挂起步

我正在尝试设置 ansible (2.0) 以在 linux 机器上安装软件 ies-iesd-jktools 是具有 ansible 的机器.ies-iesd-git-06 是目标.用户帐户是 iesdgrid,可以在目标机器上执行 sudo. 以下命令挂在远程:- ies-iesd-jktools:~/ansible$ ansible ies-iesd-git-06 \-i 库 ..
发布时间:2021-11-11 01:54:09 其他开发

ansible 在“sudo yum install"中挂起步

我正在尝试设置 ansible (2.0) 以在 linux 机器上安装软件 ies-iesd-jktools 是具有 ansible 的机器.ies-iesd-git-06 是目标.用户帐户是 iesdgrid,可以在目标机器上执行 sudo. 以下命令挂在远程:- ies-iesd-jktools:~/ansible$ ansible ies-iesd-git-06 \-i 库 ..
发布时间:2021-11-11 01:50:21 其他开发

ansible yum 不工作

当我在 ops 机器上运行命令时: ansible web -b -l 192.168.31.101 -m yum -a "name=gcc state=latest" 它返回错误显示如下: 192.168.31.101 |失败的!=>{“改变":假,“失败":真的,"msg": "这个模块需要 rpm 的 python2 绑定.这个模块需要 python2 yum 模块"} 但是当我直接 ..
发布时间:2021-11-11 01:22:01 其他开发

ansible yum 不工作

当我在 ops 机器上运行命令时: ansible web -b -l 192.168.31.101 -m yum -a "name=gcc state=latest" 它返回错误显示如下: 192.168.31.101 |失败的!=>{“改变":假,“失败":真的,"msg": "这个模块需要 rpm 的 python2 绑定.这个模块需要 python2 yum 模块"} 但是当我直接 ..
发布时间:2021-11-11 00:14:46 其他开发

Amazon EC2 实例无法更新或使用 yum

我正在使用亚马逊的安装 LAMP 服务器的教程.前几条指令涉及使用 yum,但我尝试过的每一种方法都产生了相同的消息.我最近发现了一些关于同一问题的其他问题,这些问题都没有改变我的设置. 这里是消息: 加载的插件:priority、update-motd、upgrade-helper无法检索镜像列表 http://repo.us-east-1.amazonaws.com/latest/ma ..
发布时间:2021-10-27 18:39:24 其他开发

静音 Yum API 输出

我希望在 python 中“静音"yum API 的调试级别.例如,我将两个 yum 命令分配给如下变量; 导入yumyb = yum.YumBase()yum_conf = yb.conf.config_file_pathpackage_list = yb.doPackageLists(pkgnarrow='updates', patterns='', ignore_case=True) 当 ..
发布时间:2021-10-04 20:28:14 其他开发

ModuleNotFoundError: 运行 yum 或 dnf 时没有名为“dnf"的模块

几天前我想运行 dnf 但我收到以下错误 回溯(最近一次调用最后一次):文件“/usr/bin/dnf",第 57 行,在 中从 dnf.cli 导入主ModuleNotFoundError: 没有名为“dnf"的模块 因此我尝试运行 yum 并收到类似的结果: 回溯(最近一次调用最后一次): 中的文件“/usr/bin/yum",第 57 行从 dnf.cli 导入主Mo ..
发布时间:2021-10-04 20:28:11 其他开发

如何修复“错误的解释器"使用 yum 时出错?

$ yum install httpd-devel-bash:/usr/bin/yum:/usr/bin/python: bad interpreter: 没有那个文件或目录 我该如何解决这个问题? 解决方案 任何 bash、Perl 或 Python 脚本的第一行都会告诉 bash 在哪里可以找到正确的解释器.对于 yum,它是: #!/usr/bin/python 您可以通过键入 ..
发布时间:2021-10-04 20:28:07 其他开发

使用 yum 安装同一软件包的多个版本?

我有一台装有奇怪内部 MySQL 版本的服务器,我想在该节点上安装 collectd.不幸的是,collectd 依赖于 MySQL,并且安装失败,因为它期望某个版本的 MySQL,而安装的版本是唯一的内部版本. 是否可以安装第二个 mysql 版本来解决 yum 错误?还是让 yum 认为它已安装? 解决方案 通常不可能安装同一个包的两个版本.这通常会导致无法解决的文件冲突,尽管在 ..
发布时间:2021-10-04 20:28:05 其他开发

安装 perl 模块:cpan shell vs rpm/deb

我只是想知道 - 与通过包管理安装 perl 模块相比,从 cpan shell 安装 perl 模块有什么优势吗?除了偶尔可以更快地访问最新的模块版本? 解决方案 嗯,这完全取决于模块的预期用途. 原生包管理有很多优点: Perl 模块将与您的系统完美集成,例如文件在正确的(依赖于系统的)位置,脚本添加到路径等 自动升级和安全补丁. 可能是关心您的维护者或维护者组模块(例 ..
发布时间:2021-10-04 20:28:01 其他开发

Python 包安装:pip 与 yum,还是两者兼而有之?

我刚刚开始管理 Hadoop 集群.我们使用 Bright Cluster Manager 达到操作系统级别 (CentOS 7.1),然后使用 Ambari 和 Hortonworks HDP 2.3 for Hadoop. 我不断收到安装新 Python 模块的请求.我们在安装时使用 yum 安装了一些模块,随着集群的进展,一些模块已使用 pip 安装. 执行此操作的“正确"方法是 ..
发布时间:2021-10-04 20:27:58 其他开发

使用yum命令在centos上安装open jdk 11

我想使用 yum 命令安装 open jdk 11.但是,当我查看 open jdk 手册时,它说 jdk 版本 1.8 之前您可以使用 yum 命令.如何使用 9 on wards 您必须下载 zip 或 tar 文件.(https://openjdk.java.net/install/) 我们没有提供 yum 命令的任何原因.我是 linux 的新手.感谢任何帮助 解决方案 原因 ..
发布时间:2021-10-04 20:27:55 其他开发

如何修复 Jenkins 的 yum 更新

我运行 Amazon AMI EC2 实例.常规任务之一是进行 yum 更新.通常,这不是问题.其中一台机器运行 Jenkins.我尝试执行我一直做的标准 yum 更新,但出现错误: 错误:包:jenkins-2.306-1.1.noarch (jenkins)要求:守护进程 我一直在对此进行调查,似乎此新要求已被弃用.我能够找到自 2016 年以来一直没有更新的源代码.当前在该机器上运行的 ..
发布时间:2021-10-04 20:27:52 其他开发

yum---没有名为 yum 的模块

当我在 shell 中使用 yum 时,错误信息是没有名为 yum 的模块,所以我编辑/usr/bin/yum 将第一行更改为另一个版本的 python,但没有任何变化,当我使用不同的 python 时导入yum,会出现不同的错误 当我使用 yum 时,消息是这样的:在我使用“rpm -e --nodeps pycurl"删除 pycurl 之前,yum 没问题……我需要一些帮助:( ..
发布时间:2021-10-04 20:27:49 其他开发